RHN Satellite Server 4.1.0: Installation Guide
Prev |  | Next

# Chapter 6. Importing and Synchronizing

After installing the RHN Satellite Server, you must provide it with the packages and channels to be served to client systems. This chapter explains how to import that data and keep it up to date whether the content is from RHN's central servers, local media, or from one Satellite within your organization to another.

Two tools, RHN Satellite Exporter and RHN Satellite Synchronization Tool, come installed as part of the `rhns-sat-tools` package.

# 6.1. Exporting with RHN Satellite Exporter

The RHN Satellite Exporter (`rhn-satellite-exporter`) tool exports Satellite content in an XML format that can then be imported into another identical Satellite. The content is exported into a directory specified by the user with the -d option. Once that directory has been transported to another Satellite, the RHN Satellite Synchronization Tool may be used to import the contents, synchronizing two Satellites.

## 6.1.1. `rhn-satellite-exporter`

The RHN Satellite Exporter can export the following content:

- Channel Families

- Architectures

- Channel metadata

- Blacklists

- RPMs

- RPM metadata

- Errata

- Kickstarts

The amount of time it takes `rhn-satellite-exporter` to export data is dependent on the number and size of the channels being exported. Using the `--no-packages`, `--no-kickstarts`, `--no-errata`, and `--no-rpms` options reduces the amount of time required for `rhn-satellite-exporter` to run, but also prevents potentially useful information from being exported. For that reason, these options should only be used when you are certain that you will not need the content that they exclude. Additionally, you must use the matching options for `satellite-sync` when importing the data. For example, if you use `--no-kickstarts` with `rhn-satellite-exporter` you must specify the `--no-kickstarts` option when importing the data.

When exporting an RHN base channel, you must also export the tools channel associated with that base channel in order to kickstart machines to the distribution in the base channel. For instance, if you export rhel-i386-as-4 you must also export the rhn-tools-rhel-4-as-i386 channel in order to kickstart machines to Red Hat Enterprise Linux 4 AS. This is because the tools channels contain the auto-kickstart packages that install packages for kickstarting a machine through the Satellite.

The RHN Satellite Exporter offers several command line options. To use them, insert the option and appropriate value after the `rhn-satellite-exporter` command.

Option | Description
--- | ---
`-d, --dir=` | Place the exported information into this directory.
`-cCHANNEL_LABEL`, `--channel=CHANNEL_LABEL` | Process data for this specific channel (specified by label) only. NOTE: the channel's *label* is NOT the same as the channel's *name*.
`--list-channels` | List all available channels and exit.
`--list-steps` | List all of the steps that rhn-satellite-exporter takes while exporting data. These can be used as values for --step.
`-p --print-configuration` | Print the configuration and exit.
`--print-report` | Print a report to the terminal when the export is complete.
`--no-rpms` | Do not retrieve actual RPMs.
`--no-packages` | Do not export RPM metadata.
`--no-errata` | Do not process Errata information.
`--no-kickstarts` | Do not process kickstart data (provisioning only).
`--debug-level=LEVEL_NUMBER` | Override the amount of messaging sent to log files and generated on the screen set in `/etc/rhn/rhn.conf`, 0-6 (2 is default).
`--email` | Email a report of what was exported and what errors may have occurred.
`--traceback-mail` | Alternative email address for --email.
`--db=DB` | Include alternate database connect string: username/password@SID.

Table 6-1. RHN Satellite Exporter Options

## 6.1.2. Exporting

To perform a RHN Satellite Exporter export, the following prerequisites must be met:

- The RHN Satellite Server installation must have been performed successfully.

- There must be sufficient disk space in the directory specified in the `--dir` option to contain the exported contents.

Although it is not a requirement for the export to succeed, the export will be most useful when performed on a Satellite that has populated channels.

### 6.1.2.1. Running the Export

First, be sure to configure the Satellite in the manner that you would either like to duplicate in another Satellite or back up to a storage solution. Second, select the contents you would like to export. You can choose not to export RPMs, errata, or kickstarts by using the options mentioned in Section 6.1.1 `rhn-satellite-exporter`. Finally, execute the command as root. The following is an example command:

    rhn-satellite-exporter --dir=/var/rhn-sat-export --no-errata

When finished, the export directory may be moved to another Satellite or a storage solution using `rsync` or `scp -r`.

Prev | Home | Next
Managing the RHN Certificate with RHN Satellite Activate |  | Importing with RHN Satellite Synchronization Tool